<div class="col-6 m-auto">
    <h1>{{title}}</h1>
    <form #registerForm="ngForm" (ngSubmit)="onSubmit(registerForm)" class="col-12">
        <div class="alert alert-success" *ngIf="status=='success'">
            Registro completado <a [routerLink]="['/login']">loguéate aquí</a>
        </div>
        <div class="alert alert-danger" *ngIf="status=='error'">
              No se ha podido completar el registro, puede que el email o el nick ya existan
        </div>
        <p>
            <label for="name">Nombre:</label>
            <input type="text" id="name" name="name" #name="ngModel" [(ngModel)]="user.name" class="form-control" required>
            <span *ngIf="!name.valid && name.touched">El nombre es obligatorio</span>
        </p>
        <p>
            <label for="surname">Apellidos:</label>
            <input type="text" id="surname" name="surname" #surname="ngModel" [(ngModel)]="user.surname"
                class="form-control" required>
                <span *ngIf="!surname.valid && surname.touched">Los apellidos son obligatorios</span>
        </p>
        <p>
            <label for="nick">Nick:</label>
            <input type="text" id="nick" name="nick" #nick="ngModel" [(ngModel)]="user.nick" class="form-control" required>
            <span *ngIf="!nick.valid && nick.touched">El nick es obligatorio</span>
        </p>
        <p>
            <label for="email">E-Mail:</label>
            <input type="email" id="email" name="email" #email="ngModel" [(ngModel)]="user.email" class="form-control"
            pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,4}$" required>
            <span *ngIf="!email.valid && email.touched">El e-mail es obligatorio y debe ser un email válido</span>
        </p>
        <p>
            <label for="password">Contraseña:</label>
            <input type="password" id="password" name="password" #password="ngModel" [(ngModel)]="user.password"
                class="form-control" required>
                <span *ngIf="!password.valid && password.touched">El password es obligatorio</span>
        </p>
        <p>
            <input type="submit" value="{{title}}" class="btn btn-primary" [disabled]="!registerForm.form.valid">
        </p>

    </form>

</div>